Package: groovy.lang

## [Java] Annotation Type DelegatesTo.Target

- groovy.lang.DelegatesTo.Target

-     @Retention(RetentionPolicy.RUNTIME)
      @Target({ElementType.PARAMETER})
      public @interface DelegatesTo.Target

  Parameter annotation used to specify the delegate for a `@DelegatesTo` annotated parameter of the same method.

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `String` | `value` An identifier that should be used to disambiguate targets when there are multiple `@DelegatesTo.Target` annotated parameters.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Element Detail

    - #### public String value

      An identifier that should be used to disambiguate targets when there are multiple `@DelegatesTo.Target` annotated parameters.

      Default:
        ""